/*
 * Copyright (c) 2007, Going Dot Com Inc. All rights reserved.
 */

package jp.co.going.xbrl.taxonomy;

import java.sql.Connection;

import jp.co.going.xbrl.common.XbException;
import jp.co.going.xbrl.common.XbConstants;

/**
 * タクソノミーを取り込むための
 * オブジェクトを取得するクラス
 * 
 * @author Going Dot Com Inc.
 */
public class XbTaxonomyFactory {

    /**
     * 指定したスペックのタクソノミー
     * 取り込みインスタンスを生成する
     * 
     * @param conn ＤＢコネクション
     * @param spec スペック（2.0 or 2.1）
     * @return XbTaxonomyオブジェクト
     * @throws XbException
     */
    public static XbTaxonomy createTaxonomy(Connection conn, String spec) throws XbException {
        XbTaxonomy taxonomy = null;

        if (XbConstants.SPECIFICATION_NO_20.equals(spec)) {
            taxonomy = new XbTaxonomy20(conn, spec);
        } else {
            taxonomy = new XbTaxonomy21(conn, spec);
        }
        return taxonomy;
    }
}